package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.Author;
import de.hsel.itech.db.pojo.Book;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.util.ArrayList;
import java.util.List;

//JSF Bean for bookinfo
@ManagedBean(name="bookInfo")
@ViewScoped
public class BookInfo {
    private Book book;

    public BookInfo(){
        book = Database.getInstance().getBooks().get(2);
    }

    public Book getBook(){
        return book;
    }

    public void setBook(Book book){
        this.book = book;
    }

    public String getPrice(){
        String res = "";
        res += book.getPrice() / 100;
        res+= ",";
        if(book.getPrice() % 100 < 10){
            res += "0";
        }
        res += book.getPrice() % 100;
        return res;
    }

    public String getAuthors(){
        List<String> authors = new ArrayList<>();
        for (Author author : book.getAuthors()) {
            authors.add(author.getName());
        }
        return String.join(", ",authors);
    }
}
